Show / Hide Table of Contents

# Class SslServerAuthenticationOptions

##### Inheritance

Object
SslServerAuthenticationOptions

##### Inherited Members

Object.ToString()
Object.Equals(Object)
Object.Equals(Object, Object)
Object.ReferenceEquals(Object, Object)
Object.GetHashCode()
Object.GetType()
Object.MemberwiseClone()

###### Namespace: Titanium.Web.Proxy.Extensions

###### Assembly: Titanium.Web.Proxy.dll

##### Syntax

    public class SslServerAuthenticationOptions

### Properties

#### AllowRenegotiation

##### Declaration

    public bool AllowRenegotiation { get; set; }

##### Property Value

Type | Description
--- | ---
Boolean |

#### ApplicationProtocols

##### Declaration

    public List<SslApplicationProtocol> ApplicationProtocols { get; set; }

##### Property Value

Type | Description
--- | ---
List<SslApplicationProtocol> |

#### CertificateRevocationCheckMode

##### Declaration

    public X509RevocationMode CertificateRevocationCheckMode { get; set; }

##### Property Value

Type | Description
--- | ---
X509RevocationMode |

#### ClientCertificateRequired

##### Declaration

    public bool ClientCertificateRequired { get; set; }

##### Property Value

Type | Description
--- | ---
Boolean |

#### EnabledSslProtocols

##### Declaration

    public SslProtocols EnabledSslProtocols { get; set; }

##### Property Value

Type | Description
--- | ---
SslProtocols |

#### EncryptionPolicy

##### Declaration

    public EncryptionPolicy EncryptionPolicy { get; set; }

##### Property Value

Type | Description
--- | ---
EncryptionPolicy |

#### RemoteCertificateValidationCallback

##### Declaration

    public RemoteCertificateValidationCallback RemoteCertificateValidationCallback { get; set; }

##### Property Value

Type | Description
--- | ---
RemoteCertificateValidationCallback |

#### ServerCertificate

##### Declaration

    public X509Certificate ServerCertificate { get; set; }

##### Property Value

Type | Description
--- | ---
X509Certificate |